<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (13.0.2) on Wed Apr 15 18:45:10 EDT 2020 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-04-15">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Album.html#addTag(javafx.event.ActionEvent)">addTag(ActionEvent)</a></span> - Method in class photos.src.Photos.<a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos">Album</a></dt>
<dd>
<div class="block">Adds a tag to a photo in the album</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Photo.html#addTagToPhoto(photos.src.Photos.Tag)">addTagToPhoto(Tag)</a></span> - Method in class photos.src.Photos.<a href="../photos/src/Photos/Photo.html" title="class in photos.src.Photos">Photo</a></dt>
<dd>
<div class="block">Adds a tag to the photo</div>
</dd>
<dt><a href="../photos/src/Photos/Admin.html" title="class in photos.src.Photos"><span class="typeNameLink">Admin</span></a> - Class in <a href="../photos/src/Photos/package-summary.html">photos.src.Photos</a></dt>
<dd>
<div class="block">Admin Class
 Contains fields/methods for the admin account</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Admin.html#%3Cinit%3E()">Admin()</a></span> - Constructor for class photos.src.Photos.<a href="../photos/src/Photos/Admin.html" title="class in photos.src.Photos">Admin</a></dt>
<dd>
<div class="block">No args constructor for FXML and JavaFX</div>
</dd>
<dt><a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos"><span class="typeNameLink">Album</span></a> - Class in <a href="../photos/src/Photos/package-summary.html">photos.src.Photos</a></dt>
<dd>
<div class="block">Album Class
 Contains fields/methods for an album (Stock or User Account)</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Album.html#%3Cinit%3E()">Album()</a></span> - Constructor for class photos.src.Photos.<a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos">Album</a></dt>
<dd>
<div class="block">Album Constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Album.html#%3Cinit%3E(java.lang.String)">Album(String)</a></span> - Constructor for class photos.src.Photos.<a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos">Album</a></dt>
<dd>
<div class="block">Album constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Album.html#%3Cinit%3E(java.lang.String,java.util.ArrayList)">Album(String, ArrayList&lt;Photo&gt;)</a></span> - Constructor for class photos.src.Photos.<a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos">Album</a></dt>
<dd>
<div class="block">Album constructor with a pre-defined list of photos</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Album.html#albumName">albumName</a></span> - Variable in class photos.src.Photos.<a href="../photos/src/Photos/Album.html" title="class in photos.src.Photos">Album</a></dt>
<dd>
<div class="block">Name of Album</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/Photos.html#albumName">albumName</a></span> - Static variable in class photos.src.Photos.<a href="../photos/src/Photos/Photos.html" title="class in photos.src.Photos">Photos</a></dt>
<dd>
<div class="block">Global album name</div>
</dd>
<dt><span class="memberNameLink"><a href="../photos/src/Photos/PhotosController.html#alert(java.lang.String,java.lang.String)">alert(String, String)</a></span> - Static method in class photos.src.Photos.<a href="../photos/src/Photos/PhotosController.html" title="class in photos.src.Photos">PhotosController</a></dt>
<dd>
<div class="block">Creating alerts</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">L</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">N</a>&nbsp;<a href="index-10.html">O</a>&nbsp;<a href="index-11.html">P</a>&nbsp;<a href="index-12.html">Q</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
